#
# spec file for package libvdpau
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libvdpau
Version:        0.4.1
Release:        23.1
License:        MIT
Summary:        VDPAU wrapper and trace libraries
Url:            http://people.freedesktop.org/~aplattner
Group:          System/Libraries
Source:         %{name}-%{version}.tar.gz
Source1:        vdpauinfo-0.0.6.tar.gz
Source2:        README
Source99:       baselibs.conf
Source100:      %{name}-rpmlintrc
Patch:          vdpauinfo-missing-lX11.diff
BuildRequires:  gcc-c++ pkgconfig xorg-x11-devel
BuildRequires:  doxygen graphviz texlive
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the libvdpau wrapper library and the libvdpau_trace
debugging library, along with the header files needed to build VDPAU
applications.  To actually use a VDPAU device, you need a vendor-specific
implementation library.  Currently, this is always libvdpau_nvidia.  You can
override the driver name by setting the VDPAU_DRIVER environment variable.

%package -n libvdpau1
License:        MIT
Summary:        VDPAU wrapper library
Group:          System/Libraries
Provides:       libvdpau = %{version}-%{release}
Obsoletes:      libvdpau < %{version}-%{release}

%description -n libvdpau1
This package contains the libvdpau wrapper library and the libvdpau_trace
debugging library, along with the header files needed to build VDPAU
applications.  To actually use a VDPAU device, you need a vendor-specific
implementation library.  Currently, this is always libvdpau_nvidia.  You can
override the driver name by setting the VDPAU_DRIVER environment variable.

%package -n libvdpau-devel
License:        MIT
Summary:        VDPAU wrapper development files
Group:          Development/Libraries/X11
Requires:       libvdpau1 = %{version}

%description -n libvdpau-devel
Note that this package only contains the VDPAU headers that are required to
build applications. At runtime, the shared libraries are needed too and may
be installed using the proprietary nVidia driver packages.

%package -n libvdpau_trace1
License:        MIT
Summary:        VDPAU trace library
Group:          Development/Libraries/X11
Requires:       libvdpau1 = %{version}
Provides:       libvdpau_trace = %{version}-%{release}
Obsoletes:      libvdpau_trace < %{version}-%{release}

%description -n libvdpau_trace1
This package provides the library for tracing VDPAU function calls.
Its usage is documented in the README.

%prep
%setup -q -b1
pushd ../vdpauinfo-*
%patch -p0
popd

%build
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall
rm %{buildroot}%{_libdir}/libvdpau.la
rm %{buildroot}%{_libdir}/vdpau/libvdpau_trace.la
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}/vdpau
rm %{buildroot}%{_libdir}/vdpau/libvdpau_trace.so
pushd ../vdpauinfo-*
%configure \
VDPAU_CFLAGS=-I$RPM_BUILD_ROOT/usr/include \
VDPAU_LIBS="-L$RPM_BUILD_ROOT/%{_libdir} -lvdpau -lX11"
make %{?jobs:-j%jobs}
%makeinstall
popd
cp $RPM_SOURCE_DIR/README .

%post -n libvdpau1 -p /sbin/ldconfig

%postun -n libvdpau1 -p /sbin/ldconfig

%files -n libvdpau1
%defattr(-,root,root)
%dir %{_libdir}/vdpau
/usr/bin/vdpauinfo
%{_libdir}/libvdpau.so.*

%files -n libvdpau-devel
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}
%dir %{_libdir}/vdpau
%{_includedir}/vdpau
%{_libdir}/libvdpau.so
%{_libdir}/pkgconfig/vdpau.pc

%files -n libvdpau_trace1
%defattr(-,root,root)
%doc README
%{_libdir}/vdpau/libvdpau_trace.so.*

%changelog
* Mon Aug 29 2011 sndirsch@suse.com
- fixes the build in a more correct way :-) Hopefully!
* Mon Aug 29 2011 sndirsch@suse.com
- vdpau needs an explicit "-lX11" with latest toolchain
* Wed Sep 22 2010 coolo@novell.com
- fix baselibs.conf
* Wed Sep  8 2010 sndirsch@novell.com
- libvdpau 0.4.1
  This minor update just changes a few small, but important,
  documentation details.
  * vdpau.h: Clarify video mixer field amount recommendation
  * vpdau.h: Fix typo and clarify wording.
  * More doc issues pointed out by Xine authors.
* Fri Jun 18 2010 sndirsch@suse.de
- renamed rpmlintrc to libvdpau-rpmlintrc
- added libvdpau-rpmlintrc as source to specfile
* Fri Jun  4 2010 sndirsch@suse.de
- fixed baselibs.conf (packages have been renamed)
* Sat Apr 24 2010 sndirsch@suse.de
- fixed libvdpau_trace1 package description
- added README for tracing VDPAU function calls
* Sat Apr 24 2010 sndirsch@suse.de
- added Wladimir J. van der Laan's vdpinfo tool, a command line
  utility for querying the capabilities of a VDPAU device.
* Thu Apr 22 2010 herbert@graeber-clan.de
- put libvdpau_trace into it's own package
* Thu Apr 22 2010 herbert@graeber-clan.de
- follow Shared Library Packaging Policy
- obsolete packman vdpau packages for proper update
* Thu Apr 22 2010 sndirsch@suse.de
- also build and package documentation
* Wed Apr 21 2010 sndirsch@suse.de
- created package (bnc #596481)
